Bug 63925 - RH7.2.93 Realplayer will not install.
RH7.2.93 Realplayer will not install.
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-21 22:55 EDT by Robert Raiman
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-24 19:37:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Robert Raiman 2002-04-21 22:55:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.79 [en] (X11; U; Linux 2.4.18-0.22 i686)

Description of problem:
[root@ratbert cdrom]# rpm -ivh rp8.linux20.libc6.i386.cs2.rpm
Preparing...                ########################################### [100%]
   1:RealPlayer             ########################################### [100%]
[root@ratbert cdrom]# /usr/lib/RealPlayer8/realplay: relocation error:
/usr/lib/RealPlayer8/Codecs/cook.so.6.0: undefined symbol: atexit

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.try an rpm install of realplayer
2.
3.
	

Actual Results:  [root@ratbert cdrom]# rpm -ivh rp8.linux20.libc6.i386.cs2.rpm
Preparing...                ########################################### [100%]
   1:RealPlayer             ########################################### [100%]
[root@ratbert cdrom]# /usr/lib/RealPlayer8/realplay: relocation error:
/usr/lib/RealPlayer8/Codecs/cook.so.6.0: undefined symbol: atexit

Expected Results:  install realplayer

Additional info:
Comment 1 Jeff Johnson 2002-04-24 08:29:44 EDT
This is a packaging error, or possibly the wrong
package, rather than an rpm problem. Talk to
the real player folks for a solution.
Comment 2 Robert Raiman 2002-04-24 19:37:25 EDT
I used the same rpm file to install with Redhat 7.2 without problems.  I don't
think it is a realplayer problem.  I have left a bug report with them.
Please try it yourself.
Comment 3 Jeff Johnson 2002-05-31 10:45:09 EDT
I just installed and started realplay from
rp8.linux20.libc6.i386.cs2.rpm w/o doing
anything special.

Make sure you have the latest glibc errata
that's where atexit is, and you may need a
compat-glibc package installed as well.

Again, this is not an rpm problem, but rather
a problem gettin necessary prerequisites installed
for an ISV's package. RealAudio is much more likely
to know the problem than I am.

Note You need to log in before you can comment on or make changes to this bug.